Subject: Re: [PATCH 1/3] powerpc/mpc85xx: remove the unneeded pci init functions for corenet ds board

From: Scott Wood <[email-masked]>
Date: Fri, 26 Jul 2013 17:43:44 -0500

On 07/25/2013 07:54:53 AM, Kevin Hao wrote:
> The reason is that the ppc kernel assume that the BARs starting
> at 0 is unset and will reassign it later. There is a bug in the =20
> previous
> kernel, so the kernel maybe not work well for qemu in this case. But I
> think this has been fixed by the commit c5df457f (powerpc/pci: Check =20
> the
> bus address instead of resource address in pcibios_fixup_resources).

What ensures that the reassignment will not assign zero?

I'm not doubting the result that it does, but I'm having a hard time =20
seeing it in the code.

Or are you saying that the resource assignment code will run twice, =20
rather than just saying that we won't trust the firmware when we find =20
zero?

-Scott=